Skip to main content
GET
/
v2
/
users
List Users
curl --request GET \
  --url https://public.api.serval.com/v2/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "name": "<string>",
      "role": "USER_ROLE_UNSPECIFIED",
      "avatarUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "deactivatedAt": "2023-11-07T05:31:56Z",
      "timezone": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

includeDeactivated
boolean

Whether to include deactivated users in the response.

pageSize
integer<int32>

Maximum number of results to return. Default is 10000, maximum is 10000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
User · object[]

The list of users.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.